Retrieve Execution Transactions - Stedi Docs
Retrieve Execution Transactions
Fetch a list of transactions for a file execution, including the full transaction details.
GET /executions/{executionId}/transactions
This endpoint retrieves information about all transactions Stedi has processed for a specific file execution. Transactions are sorted by creation date from newest to oldest.
Authorizations
Required Header
A Stedi API Key for authentication.
Path Parameters
executionId
String
A unique identifier for the file execution within Stedi. This ID is included in the file processed event, or you can retrieve it manually from the file's details page within the Stedi portal.
Query Parameters
pageSize
Number
Range: ≥ 1 and ≤ 500
The maximum number of elements to return in a page. You can set this to a maximum of 500 elements. If not specified, the default is 100.
pageToken
String
Length: 1 - 1024
A token returned by a previous call to this operation in the nextPageToken. If not specified, Stedi returns the first page of results.
Response
200 ListExecutionTransactions
Content-Type: application/json
nextPageToken
String
Length: 1 - 1024
Token that you can supply in subsequent requests to retrieve the next page of results. If not returned, there are no more results.
items
Array of Objects
Required
The processed transactions that match the request criteria. The items array is empty if there are no matching transactions.
Array item:
transactionId
String
Required
A unique identifier for the processed transaction within Stedi.fileExecutionId
String
Required
A unique identifier for the processed file within Stedi.status
String
Required
A status indicating whether Stedi was able to successfully process the transaction.
Possible values:failed,succeededdirection
String
Required
The direction of the transaction. Possible values:INBOUND,OUTBOUND,UNKNOWNmode
String
Required
Indicates whether the transaction contains test or production data. Possible values:test,production,otherprocessedAt
String
Required
The date and time when Stedi processed the transaction, in ISO 8601 format.artifactsArray of Objects
Required
A list of artifacts related to the transaction.
Array item:
artifactType
String
Required
The format of the artifact. Possible values include:text/csv,application/edifact,application/json...sizeBytes
Number
Required
The size of the artifact in bytes.url
String
Required
A URL to download the artifact.partnershipObject
Required
Information about the associated partnership.
Attributes:
partnershipId
String
Required
The unique identifier for the partnership within the Stedi platform.partnershipType
String
Required
The type of partnership, which determines the EDI standard used for exchanging transactions. Possible values:x12,edifact.sender
Object
Required
The entity that initiated the transaction.
Attributes:profileId
String
Required
A unique identifier for the profile within the Stedi platform.
receiver
Object
Required
The entity that is receiving the transaction. Attributes:profileId
String
Required
A unique identifier for the profile within the Stedi platform.
x12Object
Additional metadata about the X12 EDI transaction.metadataObject
Required
Metadata about the X12 EDI transaction including sender and receiver info.transactionSettingObject
Unique identifiers for the guide and transaction setting used to process the transaction.